org.eclipse.net4j.util.properties

## Class Property<RECEIVER>

- java.lang.Object
- - org.eclipse.net4j.util.properties.Property<RECEIVER>

-     public abstract class Property<RECEIVER>
      extends java.lang.Object

  Describes a property of a receiver object and extracts its value.
  Since:
    3.2
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Property(java.lang.String name)`
    `Property(java.lang.String name, java.lang.String label, java.lang.String description)`
    `Property(java.lang.String name, java.lang.String label, java.lang.String description, java.lang.String category)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract java.lang.Object` | `eval(RECEIVER receiver)` Returns the receiver's value for this property, either a `String` or a boxed primitive type.
    `java.lang.String` | `getCategory()`
    `java.lang.String` | `getDescription()`
    `java.lang.String` | `getLabel()`
    `java.lang.String` | `getName()`
    `java.lang.Object` | `getValue(RECEIVER receiver)`
    `boolean` | `testValue(RECEIVER receiver, java.lang.Object[] args, java.lang.Object expectedValue)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Property

          public Property(java.lang.String name,
                          java.lang.String label,
                          java.lang.String description,
                          java.lang.String category)

    - #### Property

          public Property(java.lang.String name,
                          java.lang.String label,
                          java.lang.String description)

    - #### Property

          public Property(java.lang.String name)

  - ### Method Detail

    - #### getName

          public final java.lang.String getName()

    - #### getLabel

          public final java.lang.String getLabel()

    - #### getDescription

          public final java.lang.String getDescription()

    - #### getCategory

          public final java.lang.String getCategory()

    - #### testValue

          public boolean testValue(RECEIVER receiver,
                                   java.lang.Object[] args,
                                   java.lang.Object expectedValue)

    - #### getValue

          public final java.lang.Object getValue(RECEIVER receiver)

    - #### eval

          protected abstract java.lang.Object eval(RECEIVER receiver)

      Returns the receiver's value for this property, either a `String` or a boxed primitive type. Return values of all other types are converted with `Object.toString()` in `eval(Object)`.

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html